### Function

# FwupdPlugin efivar_delete

since: 1.4.0

#### Declaration [src]

    gboolean
    fu_efivar_delete (
      const gchar* guid,
      const gchar* name,
      GError** error
    )

#### Description [src]

Removes a variable from NVRAM.

Available since: 1.4.0

#### Parameters

`guid`

  Type: `const gchar*`

  Globally unique identifier.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  Variable name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.